org.apache.creadur.tentacles

## Class Archive

- java.lang.Object
- - org.apache.creadur.tentacles.Archive

    public class Archive
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Archive(File file, FileSystem fileSystem, Layout layout)`

### Method Summary

All Methods Instance Methods Concrete Methods
`File` `contentsDirectory()`
`URI` `contentsURI()`
`Set<License>` `getDeclaredLicenses()`
`Set<Notice>` `getDeclaredNotices()`
`File` `getFile()`
`Map<URI,URI>` `getLegal()`
`Set<License>` `getLicenses()`
`Set<Notice>` `getNotices()`
`Map<URI,URI>` `getOtherLegal()`
`Set<License>` `getOtherLicenses()`
`Set<Notice>` `getOtherNotices()`
`URI` `getUri()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Archive

    public Archive(File file,
                   FileSystem fileSystem,
                   Layout layout)

### Method Detail

#### getDeclaredLicenses

    public Set<License> getDeclaredLicenses()

#### getDeclaredNotices

    public Set<Notice> getDeclaredNotices()

#### getOtherLicenses

    public Set<License> getOtherLicenses()

#### getOtherNotices

    public Set<Notice> getOtherNotices()

#### getLicenses

    public Set<License> getLicenses()

#### getNotices

    public Set<Notice> getNotices()

#### getUri

    public URI getUri()

#### getFile

    public File getFile()

#### getLegal

    public Map<URI,URI> getLegal()

#### getOtherLegal

    public Map<URI,URI> getOtherLegal()

#### contentsDirectory

    public File contentsDirectory()

#### contentsURI

    public URI contentsURI()